Bug 1380643 - [opari2] a change in 2.0.1 breaks ppc64 build
Summary: [opari2] a change in 2.0.1 breaks ppc64 build
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opari2
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-30 08:52 UTC by Dan Horák
Modified: 2016-11-19 21:13 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-19 21:13:29 UTC


Attachments (Terms of Use)
test-suite.log (25.16 KB, text/plain)
2016-09-30 08:52 UTC, Dan Horák
no flags Details

Description Dan Horák 2016-09-30 08:52:42 UTC
Created attachment 1206177 [details]
test-suite.log

Some change between opari2 2.0 and 2.0.1 breaks ppc64 build, ppc64le and s390x builds are OK. I'm able to reproduce the failure in 2.0.1 and successful build of 2.0 locally on F-24 (fedpkg local).

...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.CsO4Wg
+ umask 022
+ cd /builddir/build/BUILD
+ cd opari2-2.0.1
+ make check
make  check-recursive
make[1]: Entering directory '/builddir/build/BUILD/opari2-2.0.1'
Making check in build-frontend
make[2]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make  check-am
make[3]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make   
make[4]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make  all-am
make[5]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make[5]: Nothing to be done for 'all-am'.
make[5]: Leaving directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make[4]: Leaving directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make  check-TESTS
make[4]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make[5]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
PASS: ../test/c_test.sh
PASS: ../test/f90_test.sh
PASS: ../test/f77_test.sh
PASS: ../test/awk_script_test.sh
FAIL: ../test/jacobi_c_test.sh
FAIL: ../test/jacobi_c++_test.sh
FAIL: ../test/jacobi_f90_test.sh
FAIL: ../test/jacobi_f77_test.sh
make[6]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make  all-am
make[7]: Entering directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make[7]: Nothing to be done for 'all-am'.
make[7]: Leaving directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
make[6]: Leaving directory '/builddir/build/BUILD/opari2-2.0.1/build-frontend'
============================================================================
Testsuite summary for OPARI2 2.0.1
============================================================================
# TOTAL: 8
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to support@score-p.org
============================================================================

for complete build logs see http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3764603

Version-Release number of selected component (if applicable):
opari2-2.0.1-1.fc26

Comment 1 Orion Poplawski 2016-11-04 21:43:35 UTC
Program terminated with signal SIGSEGV, Segmentation fault.
#0  POMP2_Barrier_enter (pomp2_handle=<optimized out>,
pomp2_old_task=<optimized out>,
    ctc_string=<optimized out>) at ../src/opari-lib-dummy/pomp2_lib.c:425
425             if ( region->rtype[ 0 ] == 'b' )

(gdb) bt
#0  POMP2_Barrier_enter (pomp2_handle=<optimized out>,
pomp2_old_task=<optimized out>,
    ctc_string=<optimized out>) at ../src/opari-lib-dummy/pomp2_lib.c:425
#1  0x000000001000216c in InitializeMatrix._omp_fn.0 ()
    at /home/fedora/rpmbuild/BUILD/opari2-2.0.1/test/tmp/jacobi/C/main.c:156
#2  0x00003fff8d7973e4 in GOMP_parallel (
    fn=@0x1001f8a8: 0x10001f70 <InitializeMatrix._omp_fn.0>, data=0x3ffffc9c5890,
    num_threads=4, flags=<optimized out>) at ../../../libgomp/parallel.c:168
#3  0x0000000010002668 in InitializeMatrix (data=data@entry=0x3ffffc9c5938)
    at /home/fedora/rpmbuild/BUILD/opari2-2.0.1/test/tmp/jacobi/C/main.c:139
#4  0x0000000010001470 in main (argc=<optimized out>, argv=<optimized out>)
    at /home/fedora/rpmbuild/BUILD/opari2-2.0.1/test/tmp/jacobi/C/main.c:219

sent to upstream.

Comment 2 Fedora Update System 2016-11-07 19:18:14 UTC
opari2-2.0.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e69c2ffe5f

Comment 3 Fedora Update System 2016-11-09 02:26:01 UTC
opari2-2.0.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e69c2ffe5f

Comment 4 Fedora Update System 2016-11-19 21:13:29 UTC
opari2-2.0.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.